package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.SrsNotify;

/**
 * 新生报到通知Mapper接口
 * 
 * @author srs
 * @date 2023-07-18
 */
public interface SrsNotifyMapper 
{
    /**
     * 查询新生报到通知
     * 
     * @param id 新生报到通知主键
     * @return 新生报到通知
     */
    public SrsNotify selectSrsNotifyById(Long id);

    /**
     * 查询新生报到通知列表
     * 
     * @param srsNotify 新生报到通知
     * @return 新生报到通知集合
     */
    public List<SrsNotify> selectSrsNotifyList(SrsNotify srsNotify);

    /**
     * 新增新生报到通知
     * 
     * @param srsNotify 新生报到通知
     * @return 结果
     */
    public int insertSrsNotify(SrsNotify srsNotify);

    /**
     * 修改新生报到通知
     * 
     * @param srsNotify 新生报到通知
     * @return 结果
     */
    public int updateSrsNotify(SrsNotify srsNotify);

    /**
     * 删除新生报到通知
     * 
     * @param id 新生报到通知主键
     * @return 结果
     */
    public int deleteSrsNotifyById(Long id);

    /**
     * 批量删除新生报到通知
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsNotifyByIds(Long[] ids);
}
